mod tensor;

use proc_macro::TokenStream;

#[proc_macro]
pub fn tensor(input: TokenStream) -> TokenStream {
    match tensor::expand(input.into()) {
        Ok(output) => output.into(),
        Err(err) => err.to_compile_error().into(),
    }
}
